<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#EFEFEF"
    tools:context="com.ta.news.fragment.WhatsAppFragment">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">


        <LinearLayout
            android:id="@+id/ivNoInternet"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="110dp"
                android:layout_height="110dp"
                android:src="@drawable/wifi" />

            <com.ta.news.controls.CTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:padding="10dp"
                android:text="@string/no_internet_connection"
                android:textColor="@color/l_grey"
                android:textSize="20sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <com.ta.news.controls.CTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:text="@string/enter_number_to_direct_connect_in_whatsapp_without_saving_in_phonebook"
                android:textColor="@color/black"
                android:textIsSelectable="true"
                android:textSize="15sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <com.hbb20.CountryCodePicker
                    android:id="@+id/countryCode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:inputType="phone"
                    app:ccp_defaultPhoneCode="91"
                    app:ccp_padding="10dp"
                    app:ccp_textSize="15sp" />


                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.ta.news.controls.CEditText
                        android:id="@+id/fieldPhoneNumber"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="5dp"
                        android:digits="0123456789"
                        android:hint="@string/mobile_number"
                        android:inputType="phone"
                        android:padding="5dp"
                        android:textSize="18sp" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <com.ta.news.controls.CButton
                android:id="@+id/buttonStartVerification"
                android:layout_width="220dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@drawable/b_border"
                android:minHeight="0dp"
                android:padding="5dp"
                android:text="@string/do_whatsapp"
                android:textColor="@color/white"
                android:textSize="15sp" />

            <LinearLayout
                android:id="@+id/banner_container"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:orientation="horizontal" />

            <com.google.android.gms.ads.AdView
                android:id="@+id/google_ad_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:visibility="gone"
                app:adSize="SMART_BANNER"
                app:adUnitId="@string/google_whats_app_banner" />


        </LinearLayout>

        <com.ta.news.controls.CTextView
            android:id="@+id/tvSponsored"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:text="Sponsored"
            android:textColor="@color/d_grey"
            android:textSize="10sp" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
    </LinearLayout>
</androidx.core.widget.NestedScrollView>

